Name:           python-scikit-build
Version:        0.16.4
Release:        1%{?dist}
Summary:        Improved build system generator for Python C/C++/Fortran/Cython extensions

License:        MIT
URL:            https://github.com/scikit-build/scikit-build
Source:         %{pypi_source scikit-build}
Patch:          Remove-test-deps-missing-in-Fedora.patch

BuildArch:      noarch
BuildRequires:  python3-devel

# For tests:
BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  gcc-gfortran
BuildRequires:  git-core
BuildRequires:  ninja-build

%global _description %{expand:
Improved build system generator for CPython C/C++/Fortran/Cython extensions.
Better support is available for additional compilers, build systems,
cross compilation, and locating dependencies
and determining their build requirements.
The scikit-build package is fundamentally just glue between
the setuptools Python module and CMake.
}

%description %_description

%package -n python3-scikit-build
Summary:        %{summary}
Requires:       cmake

%description -n python3-scikit-build %_description


%prep
%autosetup -p1 -n scikit-build-%{version}


%generate_buildrequires
%pyproject_buildrequires requirements-dev.txt


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files skbuild


%check
# pep518 tests are disabled because they require internet
# test_hello_sdist, test_hello_sdist_with_base, test_sdist_with_symlinks, test_manifest_in_sdist are disabled
# because they does not work if setuptools_scm is installed, which is our case.
# See https://github.com/scikit-build/scikit-build/issues/791#issuecomment-1296487334
# deprecated tests are disabled because they are failing and upstream plans to remove them
%pytest -k "not pep518 and not \
            test_hello_sdist and not \
            test_hello_sdist_with_base and not \
            test_sdist_with_symlinks and not \
            test_manifest_in_sdist" \
        -m "not deprecated"


%files -n python3-scikit-build -f %{pyproject_files}
%doc README.*


%changelog
* Mon Dec 12 2022 Tomáš Hrnčiar <thrnciar@redhat.com> - 0.16.3-1
- Initial package
